import 'package:auto_route/auto_route.dart';
import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:krow/features/profile/role_kit/domain/bloc/role_kit_bloc.dart';
import 'package:krow/features/profile/role_kit/domain/bloc/role_kit_event.dart';
import 'package:krow/features/profile/role_kit/domain/staff_role_kit_repository_impl.dart';

@RoutePage()
class RoleKitFlowScreen extends StatelessWidget {
  final RoleKitType roleKitType;

  const RoleKitFlowScreen({super.key, required this.roleKitType});

  @override
  Widget build(BuildContext context) {
    return BlocProvider(
        create: (context) =>
            RoleKitBloc()..add(RoleKitEventFetch(type: roleKitType)),
        child: const AutoRouter());
  }
}
